getUserProfile
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/users/queries/getUserProfile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"userId": "user_9f3c2ab457"
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/users/queries/getUserProfile"
payload = { "args": { "userId": "user_9f3c2ab457" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({args: {userId: 'user_9f3c2ab457'}})
};
fetch('https://connvo-dev.convex.cloud/api/run/users/queries/getUserProfile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"errorMessage": "",
"errorData": {},
"value": {
"_id": "user_9f3c2ab457",
"displayName": "Member Example",
"avatarUrl": "https://example.com/avatar.jpg",
"isActive": true,
"orgId": "org_abc123",
"orgRole": "member"
}
}{}{}Users
getUserProfile
Returns a user profile with privacy-controlled access to organization information. Organization details (orgId, orgRole) are only included if the requesting user is in the same organization or has admin privileges. Returns null if the user does not exist. Requires authentication.
POST
/
api
/
run
/
users
/
queries
/
getUserProfile
getUserProfile
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I